MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001723VCMIMechanics - Adventure Mappublic2014-02-25 09:552016-04-07 13:44
ReporterPovelitel 
Assigned Tovmarkovtsev 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS VersionWin7 sp1
Product Version0.94f 
Target VersionFixed in Version0.98g 
Summary0001723: Quest Guard: crash when attempt to remove part of combined artifact
DescriptionIf hero go down and try open quest guard => Crash
http://www.fotolink.su/pic_b/3e06ba8645bb70355f03b3e711bf998c.png [^]

required artifact "Eversmoking Ring of Sulfur"
TagsNo tags attached.
Attached Files? file icon Middle earth adventures.h3m [^] (139,656 bytes) 2014-02-25 09:55
rar file icon games.rar [^] (1,080,344 bytes) 2014-02-25 10:00
? file icon __SXX_Map_quest_guard_combined.h3m [^] (1,599 bytes) 2015-12-21 18:20

- Relationships
related to 0001719closedTow Crash when starting campaign Unholy Alliance scenario 8 Invasion 

-  Notes
(0004524)
Povelitel (updater)
2014-02-25 10:03

Sometimes hero go to right. Need loading repeatedly yet he will not go down
(0004557)
Tow (developer)
2014-03-01 18:00

The Eversmoking Ring of Sulfur is part of combination artifact Cornucopia.
Crash is caused because it is impossible to remove the ring without decomposing the Cornucopia before.
(0004558)
Tow (developer)
2014-03-01 18:00

stacktrace
     VCMI_server.exe!CGameHandler::removeArtifact(const ArtifactLocation & al) Line 1980 C++
> VCMI_lib.dll!CGSeerHut::finishQuest(const CGHeroInstance * h, unsigned int accept) Line 4945 C++
     VCMI_server.exe!CBlockingDialogQuery::notifyObjectAboutRemoval(const CObjectVisitQuery & objectVisit) Line 302 C++
     VCMI_server.exe!CObjectVisitQuery::onExposure(CGameHandler * gh, std::shared_ptr<CQuery> topQuery) Line 123 C++
     VCMI_server.exe!Queries::popQuery(PlayerColor player, std::shared_ptr<CQuery> query) Line 145 C++
     VCMI_server.exe!Queries::popQuery(std::shared_ptr<CQuery> query) Line 164 C++
     VCMI_server.exe!CGameHandler::queryReply(QueryID qid, unsigned int answer, PlayerColor player) Line 3262 C++
     VCMI_server.exe!QueryReply::applyGh(CGameHandler * gh) Line 240 C++
     VCMI_server.exe!CApplyOnGH<QueryReply>::applyOnGH(CGameHandler * gh, CConnection * c, void * pack, PlayerColor player) Line 88 C++
     VCMI_server.exe!CGameHandler::handleConnection(std::set<PlayerColor,std::less<PlayerColor>,std::allocator<PlayerColor> > players, CConnection & c) Line 913 C++
(0006185)
SXX (administrator)
2015-12-19 13:17

I'll clearly need to check this one. :-)
(0006194)
SXX (administrator)
2015-12-21 18:19

Reproduced with latest git. Of course only occur when combined artifact is on hero.

In H3 there simply no dialog when you have artifact needed as part of combined one.
(0006340)
vmarkovtsev (developer)
2016-01-22 10:06

https://github.com/vcmi/vcmi/pull/166 [^]

- Issue History
Date Modified Username Field Change
2014-02-25 09:55 Povelitel New Issue
2014-02-25 09:55 Povelitel File Added: Middle earth adventures.h3m
2014-02-25 10:00 Povelitel File Added: games.rar
2014-02-25 10:03 Povelitel Note Added: 0004524
2014-03-01 17:59 Tow Relationship added related to 0001719
2014-03-01 18:00 Tow Note Added: 0004557
2014-03-01 18:00 Tow Status new => confirmed
2014-03-01 18:00 Tow Note Added: 0004558
2014-05-03 15:10 Warmonger Assigned To => Warmonger
2014-05-03 15:10 Warmonger Status confirmed => assigned
2015-12-19 13:17 SXX Summary Quest Guard, crash => Quest Guard: crash when attempt to remove part of combined artifact
2015-12-19 13:17 SXX Note Added: 0006185
2015-12-19 13:21 SXX Assigned To Warmonger => SXX
2015-12-21 18:19 SXX Note Added: 0006194
2015-12-21 18:20 SXX File Added: __SXX_Map_quest_guard_combined.h3m
2016-01-21 19:40 vmarkovtsev Assigned To SXX => vmarkovtsev
2016-01-22 10:06 vmarkovtsev Note Added: 0006340
2016-01-27 06:58 SXX Status assigned => resolved
2016-01-27 06:58 SXX Fixed in Version => 0.98g
2016-01-27 06:58 SXX Resolution open => fixed
2016-04-07 13:44 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean